MONGOC_MATCHER_NEW(3)

NAME
mongoc_matcher_new() - None

SYNOPSIS

mongoc_matcher_t *
mongoc_matcher_new (const bson_t *query,
                    bson_error_t *error);

Create a new mongoc_matcher_t using the query specification provided.

DEPRECATED

NOTE
    mongoc_matcher_t is deprecated and will be removed in version 2.0.

PARAMETERS

query
    A bson_t \&.

error
    An optional location for a bson_error_t or NULL \&.

ERRORS

Errors are propagated via the error parameter.

RETURNS

A newly allocated mongoc_matcher_t that should be freed with mongoc_matcher_destroy(3) when no longer in use. Upon failure, NULL is returned and error is set. This could happen if query contains an invalid query specification.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.